Page MenuHomePhabricator

Create a distribution list for Flow satisfaction survey and distribute it
Closed, ResolvedPublic

Description

Based on Quarry, for ar, ca, fr, he, pt, zh ; bs, eo, gom, pl, ru, and ur wikis + wikidata, outreach, wikispecies and mw.org.

Using: https://quarry.wmflabs.org/query/10041

Distribution status

wikidone for active boardsdone for archived boards
zh.wp
wikidata
ur.wp
pt.wb
pl.wp
outreach
mediawiki.org
he.wp
gom.wp
fr.wikiversity
fr.ws
fr.wp
ca.wp
bs.wp
ar.wp

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 1 2016, 8:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

New run, removing some namespaces :

  • ns1 & ns7 on pt.wb
  • keeping only ns3 on mw.org (too many ns)
  • ns5 on ca.wp - however, some messages will be posted manually on that ns, only on pages gathering community discussions.
  • ns4 (wiki ns) will be triagged by hand on all wikis, to keep only gathering community discussions.
  • ns11, ns13 and ns15 are excluded.

All results including Flow_Archive_1 or something like that are from users who have tried Flow and are not using it anymore. Their opinion matter a lot. Messages will be sent to their regular talk pages, so they can participate to the survey.

Will also be ignored:

  • IP adresses talk pages (~ 2,000 pages)
  • user sub-pages
  • user talk page sub-pages if a talk page using Flow exists

Obviously, I'm not sending that invite to the same user multiple times (thanks to cross-wiki notifications!).

Advice taken from the CLs, I'm removing accounts that have been renamed after the SUL finalization (they look like user:User~wiki) because they are statistically dead.

Survey announcement will be posted on community pages, like Village pumps. These users may get the information that way.

concerning people that have Flow boards on multiple wikis, I'm randomly selecting one.

pt.wb and gom.wp have been drastically reduced to the most active editors, based on recent changes.

Flow is the default talk pages system on mediawiki.org. I'm going to filter users that have actually used Flow, not just received messages (warnings) on it.

To distribute messages in the wiki language, posts will be separated. A separated invitation will be sent for people who have archived their Flow boards. All those batches will be posted after the announcement, in the following 24 hours if everything goes fine.

Despite all efforts to sent that invitation to everyone who has used Flow, some users may not receive the link or have duplicates. Sorry about that.

Number of targeted pages per wiki.

That table:

  • excludes duplicates
  • includes community pages (VPS, help desks and so) and trial pages
  • includes people that have archived their Flow page (~ 100)
WikiNumber of Flow pagesStatus of Flow
zh.wp1265Beta feature
wikidata470Beta feature
ur.wp26Manual activation
pt.wb4Default
pl.wp3Manual activation
outreach5Beta feature
mediawiki.org1540Default
he.wp10Manual activation
gom.wp4Default
fr.wikiversity6Beta feature
fr.ws15Beta feature
fr.wp399Beta feature
ca.wp124Beta feature
bs.wp22Beta feature
ar.wp8Manual activation
total3901
Trizek-WMF updated the task description. (Show Details)Sep 7 2016, 9:30 AM
Trizek-WMF updated the task description. (Show Details)Sep 7 2016, 9:35 AM
Trizek-WMF updated the task description. (Show Details)Sep 7 2016, 11:16 AM
Trizek-WMF updated the task description. (Show Details)Sep 7 2016, 11:56 AM
Trizek-WMF updated the task description. (Show Details)Sep 7 2016, 12:30 PM
Trizek-WMF updated the task description. (Show Details)Sep 7 2016, 3:27 PM
Trizek-WMF renamed this task from Create a distribution list for Flow satisfaction survey to Create a distribution list for Flow satisfaction survey and distribute it.Sep 7 2016, 3:31 PM
Trizek-WMF updated the task description. (Show Details)Sep 7 2016, 4:07 PM
Trizek-WMF updated the task description. (Show Details)Sep 7 2016, 5:15 PM
Trizek-WMF updated the task description. (Show Details)Sep 8 2016, 7:45 AM
Trizek-WMF added a comment.EditedSep 14 2016, 5:58 AM

At the moment, 17.47% of recorded answers are from MediaWiki wiki, despite the fact that no distribution has been done. That wiki is on the top 3 of wikis where people use Flow. I'm considering to skip Mediawiki.org distribution.

Trizek-WMF closed this task as Resolved.Sep 14 2016, 6:23 AM
Trizek-WMF updated the task description. (Show Details)

I've posted announcements on Mediawiki.org community discussion pages. I consider that distribution as done.

Qgil awarded a token.Sep 14 2016, 9:48 PM